package OCButton;

import java.io.File;

import OCAttribute.Attr_Button_3D_1;
import OCAttribute.Attr_Button_DOWN;
import OCAttribute.Attr_Button_Idea;
import OCAttribute.Attr_Button_Modify;
import OCAttribute.Attr_Button_OK;
import OCAttribute.Attr_Button_UP;
import OCDirector.OCDirector;
import OCTools.OCFileWorker;
import OCTools.OCHtmlWorker;
import OCTools.OCJsonWorker;
import OCValue.OCStaticValue;

/**
 * 
 * @author MingChao Sun
 *
 *         OCģ塪3D԰ť
 */
public class OCButton_Modify extends OCButton {

	public Attr_Button_Modify attr;

	public OCButton_Modify(int height, int width) {
		super("",height, width);

		this.width = width;
		this.height = height;

		attr = new Attr_Button_Modify();

		/*
		 * bean
		 */
		attr.setHeight(height + "px");
		attr.setWidth(width + "px");
		
		/*
		 * ݰťĴСȷͼƬĴС
		 */
		int min = height<width?height:width;
		attr.setBgheight(Integer.toString((int)(min*0.8))+ "px");
		attr.setBgwidth(Integer.toString((int)(min*0.8))+ "px");
		
		/*
		 * ݰťĴСȷťλ
		 */
		attr.setDisleft(Integer.toString((int)(width-min*0.8)/2)+ "px");
		attr.setDistop(Integer.toString((int)(height-min*0.8)/2)+ "px");
		

		/*
		 * ļ
		 */
		File srcFile1 = new File(OCStaticValue.LibraryURl
				+ "/component/OCButton_Modify.html");
		File destDir = new File(OCDirector.RootPath + "/component");
		OCFileWorker.copyFile(srcFile1, destDir, "No" + OCStaticValue.OCid
				+ "OCButton_Modify.html");
		
		File srcFile2 = new File(OCStaticValue.LibraryURl
				+ "/img/Modify.png");
		File destDir2 = new File(OCDirector.RootPath + "/img");
		OCFileWorker.copyFile(srcFile2, destDir2,"Modify.png");
		Path = OCDirector.RootPath + "/component/No" + OCStaticValue.OCid
				+ "OCButton_Modify.html";

		Html = "No" + OCStaticValue.OCid + "OCButton_Modify.html";
		OCStaticValue.OCid++;
		/*
		 * json
		 */
		attrJson = OCJsonWorker.BeanToJson(attr);

		/*
		 * 滻json
		 */
		OCHtmlWorker.ChangeJsonblock(Path, attrJson);
	}

	public void setAttr(Object attrbean) {

		/*
		 * json
		 */
		attrJson = OCJsonWorker.BeanToJson(attrbean);

		/*
		 * 滻json
		 */
		OCHtmlWorker.ChangeJsonblock(Path, attrJson);
	}

	public void setAttr() {
		/*
		 * json
		 */
		attrJson = OCJsonWorker.BeanToJson(attr);

		/*
		 * 滻json
		 */
		OCHtmlWorker.ChangeJsonblock(Path, attrJson);
	}

}
